<template>
  <base-card class="content">
    <Selected-seats
      :selected-seats="selectedSeats"
      :selected-screening="selectedScreening"
    ></Selected-seats>
    <br />
    <base-button @click="pay">Zapłać</base-button>
  </base-card>
</template>

<script setup>
import SelectedSeats from "@/components/SelectedSeats.vue";
import { defineProps } from "vue";
import { useStore } from "vuex";
import { useRouter } from "vue-router";

const store = useStore();
const router = useRouter();
const props = defineProps(["selectedSeats", "selectedScreening"]);

async function pay() {
  await store.dispatch("pay", {
    cost: (parseInt(props.selectedSeats.length) * 20).toString(),
    seats: props.selectedSeats,
    screeningId: props.selectedScreening.uuId,
  });
  await router.replace("/screenings");
}
</script>
